Name:		xmoto-edit
Version:	0.2.4
Release:	7%{?dist}.1
Summary:	Challenging 2D Motocross Platform Game - Level Editor

Group:		Amusements/Games
License:	GPL
URL:		http://xmoto.sourceforge.net/
Source0:	http://easynews.dl.sourceforge.net/sourceforge/xmoto/%{name}-%{version}.tar.gz
Source1:	xmoto-edit.desktop
Source2:	xmoto-edit.png
Source3:	http://viewvc.tuxfamily.org/svn_xmoto_xmotoedit/trunk/xmoto-edit.6.gz
Patch0:		xmoto-edit-man.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	SDL_mixer-devel
BuildRequires:	libGL-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
BuildRequires: mesa-libGLU-devel

Requires:	xmoto
Requires:	hicolor-icon-theme

%description
X-Moto-Edit allows you to edit levels for X-Moto.

%prep
%setup -q
%patch0

%build
%configure --with-enable-zoom=1
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f %RPM_BUILD_ROOT%{_mandir}/man6/xmoto-edit.6.gz
install -Dpm 644 %{SOURCE3} %RPM_BUILD_ROOT%{_mandir}/man6

# Install icon and desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

desktop-file-install --vendor fedora --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then 
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then 
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files 
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/xmoto-edit
%{_datadir}/xmoto-edit
%{_datadir}/applications/fedora-xmoto-edit.desktop
%{_datadir}/icons/hicolor/48x48/apps/xmoto-edit.png
%{_mandir}/man6/xmoto-edit.6.gz


%changelog
* Fri Mar 23 2007 Jon Ciesla <limb@jcomserv.net> 0.2.4-7.1
- EVR Bump.

* Wed Mar 21 2007 Jon Ciesla <limb@jcomserv.net> 0.2.4-6.1
- BR fix for FC5.

* Tue Mar 20 2007 Jon Ciesla <limb@jcomserv.net> 0.2.4-6
- Replaced man page with new upstream.

* Fri Mar 16 2007 Jon Ciesla <limb@jcomserv.net> 0.2.4-5
- removed versioned requires for xmoto, as versions get out of sync.

* Sun Mar 11 2007 Jon Ciesla <limb@jcomserv.net> 0.2.4-4
- Fixed post/postun scripts.

* Sat Mar 10 2007 Jon Ciesla <limb@jcomserv.net> 0.2.4-3
- R: xmoto, equal version.
- Cleaned up BR, space/tab.
- Fixed .desktop category, removed Application.

* Fri Mar 02 2007 Jon Ciesla <limb@jcomserv.net> 0.2.4-2
- Fixed man path with patch.
- Removed X-Fedora.

* Fri Mar 02 2007 Jon Ciesla <limb@jcomserv.net> 0.2.4-1
- Initial packaging, following split from xmoto by upstream.